import 'package:flutter/material.dart';

class PageItem {
  String defaultUrl, currentUrl;
  Widget? widget;
  BottomNavigationBarItem bottom;
  PageItem(this.defaultUrl, this.bottom) : currentUrl = defaultUrl;
}

class PageList {
  int current = 0;
  List<PageItem> pages = [];
  PageList(Map<String, BottomNavigationBarItem> items) {
    items.forEach((key, value) {
      pages.add(PageItem(key, value));
    });
  }
}
